Mac OS X Build Instructions and Notes
=====================================

IMPORTANT: Compilers and libraries have subtle differences among platforms.
Please note that builds created on Mac OS are currently not extensively
tested by QA team and are therefore not in scope for bug bounty programs.
Provided instructions are intended for developers that would like to use
Mac OS development tools.

### Prerequirements

1.  Install Xcode from the app store

2.  Install the OS X command line tools:

`xcode-select --install`

When the popup appears, click `Install`.

3.  Install [Homebrew](http://brew.sh).

### Installing dependencies

    brew install automake berkeley-db libtool boost openssl pkg-config libevent

### Cloning Bitcoin SV

        git clone https://github.com/bitcoin-sv/bitcoin-sv

### Building Bitcoin SV - Autotools

    cd bitcoin-sv
    ./autogen.sh
    ./configure
    make

### Building Bitcoin SV - CMake

    mkdir build_bitcoin_sv
    cd build_bitcoin_sv
    cmake -D CMAKE_BUILD_TYPE=RelWithDebInfo ../bitcoin-sv
    make -j4

    # building unit tests
    make test_bitcoin -j4

    # Xcode project can be generated by providing an additional flag to cmake
    # command above:
    # cmake -G Xcode -D CMAKE_BUILD_TYPE=RelWithDebInfo ../bitcoin-sv
    #
    # Alternatively -G "Sublime Text 2 - Unix Makefiles" generates a
    # Sublime text 3 project